#ifndef _BLACKSCREEN_H
#define _BLACKSCREEN_H

#include "world_entity.h"


class TiXmlElement;
class Material;

class blackscreen : public WorldEntity
{
    ObjectListDeclaration(blackscreen);

  private:
    float i;
    bool state;
    Material*       material;
    void fadeIn();
    void fadeOut();
    float fadeSpeed;

  public:
    blackscreen();
    blackscreen(const TiXmlElement* root);
    virtual ~blackscreen();

    void init();
    virtual void loadParams(const TiXmlElement* root);

    void toggleFade();
    void changeFadeSpeed(float newSpeed);
    virtual void tick (float time);

    virtual void draw() const;

};

#endif /* _BLACKSCREEN_H */
